Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162356 - file utility returns useless results on executables and shared libs.
Summary: file utility returns useless results on executables and shared libs.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: file
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-03 04:00 UTC by Jonathan Ryshpan
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-05 07:56:06 UTC


Attachments (Terms of Use)

Description Jonathan Ryshpan 2005-07-03 04:00:25 UTC
Description of problem:
The file utility returns useless results when applied to executables and shared
libs (and possibly other cases)


Version-Release number of selected component (if applicable):
file-4.13-4


How reproducible:
Always

Steps to Reproduce:
1. $ file /usr/lib*/libssl3.so
(for example)
  
Actual results:
(From an FC4 system)
/usr/lib/libssl3.so:   data, stripped
/usr/lib64/libssl3.so: data, stripped


Expected results:
(From an FC3 system)
/usr/lib/libssl3.so:   ELF 32-bit LSB shared object, Intel 80386, version 1
(SYSV), stripped
/usr/lib64/libssl3.so: ELF 64-bit LSB shared object, AMD x86-64, version 1
(SYSV), stripped


Additional info:

Comment 1 Radek Vokal 2005-07-04 06:11:03 UTC
I didn't manage to reproduce this bug on my FC4 system. All my .so files were
corectly recognized as ELF objects. Do you see this problem also with another
lib files or it only appears with libssl3? 


Note You need to log in before you can comment on or make changes to this bug.